#126 rmtunix_release_rmtpair ASSERT

v1.9.2
closed-fixed
nobody
IPC (12)
5
2008-01-02
2007-01-29
Roger Tsang
No

Below taken from http://news.gmane.org/find-root.php?message_id=%3c70741324FF2BF243B0C93615371E8F9EC5315D%40mail01dn.adic.com%3e

----
I have a server daemon process running on the master node listening on a
unix domain socket. I see the following stack dump when multiple clients
try to connect to server (send data to server) and close the socket at
the same time.

Aug 24 00:00:33 hawk2_node2 kernel: Assertion failed! rerror != -66,
cluster/ssi/ipc/rmtunix.c, rmtunix_release_rmtpair, line=858
Aug 24 00:00:33 hawk2_node2 kernel: Badness in sk_del_node_init at
include/net/sock.h:327
Aug 24 00:00:33 hawk2_node2 kernel: [<c0107a7e>] dump_stack+0x1e/0x20
Aug 24 00:00:33 hawk2_node2 kernel: [<c03c1786>]
__unix_remove_socket+0x66/0x70
Aug 24 00:00:33 hawk2_node2 kernel: [<c03c1bae>]
unix_release_sock+0x1e/0x330
Aug 24 00:00:33 hawk2_node2 kernel: [<c03c220a>] unix_release+0x3a/0x90
Aug 24 00:00:33 hawk2_node2 kernel: [<c035525f>] sock_release+0x4f/0xb0
Aug 24 00:00:33 hawk2_node2 kernel: [<c0355ed2>] sock_close+0x32/0x60
Aug 24 00:00:33 hawk2_node2 kernel: [<c01712bd>] __fput+0x10d/0x150
Aug 24 00:00:33 hawk2_node2 kernel: [<c01711a9>] fput+0x19/0x20
Aug 24 00:00:33 hawk2_node2 kernel: [<c016f787>] filp_close+0x57/0x90
Aug 24 00:00:33 hawk2_node2 kernel: [<c016f82e>] sys_close+0x6e/0x90
Aug 24 00:00:33 hawk2_node2 kernel: [<c0106ae1>] syscall_call+0x7/0xb

Discussion

  • Roger Tsang

    Roger Tsang - 2007-01-29

    Logged In: YES
    user_id=1246761
    Originator: YES

    The assert has to do with object migration.

     
  • Roger Tsang

    Roger Tsang - 2007-08-05

    Logged In: YES
    user_id=1246761
    Originator: YES

    Related to bug 1764324

     
  • Roger Tsang

    Roger Tsang - 2007-08-05
    • status: open --> open-duplicate
     
  • Roger Tsang

    Roger Tsang - 2007-08-13
    • status: open-duplicate --> closed-duplicate
     
  • Roger Tsang

    Roger Tsang - 2007-08-13

    Logged In: YES
    user_id=1246761
    Originator: YES

    Fixed by Vladimir

     
  • Roger Tsang

    Roger Tsang - 2007-08-14
    • status: closed-duplicate --> open
     
  • Roger Tsang

    Roger Tsang - 2007-08-14

    Logged In: YES
    user_id=1246761
    Originator: YES

    Only fixed Badness in sk_del_node_init. User is still seeing rmtunix_release_rmtpair assert.

    Hi,

    I still see this on a system checked out from cvs today.
    Aug 13 06:43:17 localhost kernel: Assertion failed! rerror != -66,
    cluster/ssi/ipc/rmtunix.c, rmtunix_release_rmtpair, line=850
    Aug 13 06:47:01 localhost kernel: Assertion failed! rerror != -66,
    cluster/ssi/ipc/rmtunix.c, rmtunix_shutdown_rmtpair, line=930

    I see it in the syslog when i try to connect to a mysql-server running on
    the init-node via mysqld.sock linked to another location in the filesystem
    with ln -s.

    -niklas

     
  • Nobody/Anonymous

    Logged In: NO

    Experienced also the Badness in sk_del_node_init today when playing around with some of the applications.

    Aug 15 10:01:06 localhost kernel: Assertion failed! rerror != -66, cluster/ssi/ipc/rmtunix.c, rmtunix_release_rmtpair, line=850
    Aug 15 10:01:07 localhost kernel: Assertion failed! rerror != -66, cluster/ssi/ipc/rmtunix.c, rmtunix_shutdown_rmtpair, line=930

    Aug 15 10:01:54 localhost kernel: Node 3 has gone down!!!
    Aug 15 10:01:54 localhost kernel: KERNEL: assertion (sk_unhashed(sk)) failed at net/unix/af_unix.c (339)
    Aug 15 10:01:54 localhost kernel: KERNEL: assertion (!sk->sk_socket) failed at net/unix/af_unix.c (340)
    Aug 15 10:01:54 localhost kernel: Attempt to release alive unix socket: c3fea600
    Aug 15 10:01:54 localhost kernel: Assertion failed! pvl->pvp_sessionl == ((void *)0), cluster/ssi/vproc/nd_setup.c, vproc_setup_groups, line=338
    Aug 15 10:01:54 localhost kernel: Badness in sk_del_node_init at include/net/sock.h:343
    Aug 15 10:01:54 localhost kernel: [dump_stack+30/48] dump_stack+0x1e/0x30
    Aug 15 10:01:54 localhost kernel: [__unix_remove_socket+105/112] __unix_remove_socket+0x69/0x70
    Aug 15 10:01:54 localhost kernel: [unix_release_sock+36/784] unix_release_sock+0x24/0x310
    Aug 15 10:01:54 localhost kernel: [unix_release+58/144] unix_release+0x3a/0x90
    Aug 15 10:01:54 localhost kernel: [sock_release+121/192] sock_release+0x79/0xc0
    Aug 15 10:01:54 localhost kernel: [sock_close+52/80] sock_close+0x34/0x50
    Aug 15 10:01:54 localhost kernel: [__fput+289/320] __fput+0x121/0x140
    Aug 15 10:01:54 localhost kernel: [fput+25/32] fput+0x19/0x20
    Aug 15 10:01:54 localhost kernel: [filp_close+87/144] filp_close+0x57/0x90
    Aug 15 10:01:54 localhost kernel: [put_files_struct+116/224] put_files_struct+0x74/0xe0
    Aug 15 10:01:54 localhost kernel: [do_exit+224/944] do_exit+0xe0/0x3b0
    Aug 15 10:01:54 localhost kernel: [do_group_exit+60/176] do_group_exit+0x3c/0xb0
    Aug 15 10:01:54 localhost kernel: [sys_exit_group+21/32] sys_exit_group+0x15/0x20
    Aug 15 10:01:54 localhost kernel: [syscall_call+7/11] syscall_call+0x7/0xb

    -niklas

     
  • Roger Tsang

    Roger Tsang - 2008-01-02
    • status: open --> closed-fixed
     
  • Roger Tsang

    Roger Tsang - 2008-01-02

    Logged In: YES
    user_id=1246761
    Originator: YES

    Thanks to Hughes, fixed in 1.9.3

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks